package com.jsowell.pile.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 小程序查询用户账户余额变动信息
 *
 * @author JS-ZZA
 * @date 2022/11/26 9:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class UniAppQueryMemberBalanceDTO extends BaseMemberDTO{
    private int pageSize;
    private int pageNum;

    /**
     * 变动类型  1-进账；2-出账
     */
    private String type;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("pageSize", pageSize)
                .append("pageNum", pageNum)
                .append("type", type)
                .toString();
    }
}
